gi-gdkx11-3.0.2: GdkX11 bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.GdkX11.Objects.X11GLContext

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype X11GLContext = X11GLContext (ManagedPtr X11GLContext)
- class GObject o => IsX11GLContext o
- toX11GLContext :: (MonadIO m, IsX11GLContext o) => o -> m X11GLContext
- noX11GLContext :: Maybe X11GLContext

# Exported types

newtype X11GLContext Source #

Memory-managed wrapper type.

Constructors

X11GLContext (ManagedPtr X11GLContext) |

Instances

GObject X11GLContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11GLContext Methods gobjectType :: X11GLContext -> IO GType Source #
IsGLContext X11GLContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11GLContext
IsObject X11GLContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11GLContext
IsX11GLContext X11GLContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11GLContext

class GObject o => IsX11GLContext o Source #

Type class for types which can be safely cast to `X11GLContext`, for instance with `toX11GLContext`.

Instances

(GObject a, (UnknownAncestorError X11GLContext a :: Constraint)) => IsX11GLContext a Source # |
Instance details Defined in GI.GdkX11.Objects.X11GLContext
IsX11GLContext X11GLContext Source # |
Instance details Defined in GI.GdkX11.Objects.X11GLContext

toX11GLContext :: (MonadIO m, IsX11GLContext o) => o -> m X11GLContext Source #

Cast to `X11GLContext`, for types for which this is known to be safe. For general casts, use `castTo`.

noX11GLContext :: Maybe X11GLContext Source #

A convenience alias for `Nothing` :: `Maybe` `X11GLContext`.